Bug 219730 - export iscsi portal ip address as well as current address
export iscsi portal ip address as well as current address
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 18:15 EST by Mike Christie
Modified: 2012-02-22 23:28 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:31:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2006-12-14 18:15:29 EST
Description of problem:

iscsid tries to match sessions and portals in userspace based on the current
address we are logged into. The problem with this is that for targets that do
login redirect, userspace does not know how the current address and what address
it asked us to login match up and iscsid gets very confused and spits out:

Aug 13 04:13:44 vmhost3 iscsid[6073]: iSCSI session ioctl failed for
iqn.2001-05.com.equallogic:6-8a0900-1ed140a01-b8dff03d5b944b26-adp, Resource
temporarily unavailable: Resource temporarily unavailable
Aug 13 04:13:44 vmhost3 kernel: iscsi-sfnet: Could not find session to update
Aug 13 04:13:44 vmhost3 iscsid[6080]: iSCSI session ioctl failed for
iqn.2001-05.com.equallogic:6-8a0900-51a140a01-e19ff03e48b44be6-idns, Resource
temporarily unavailable: Resource temporarily unavailable
Aug 13 04:13:44 vmhost3 kernel: iscsi-sfnet: Could not find session to update
Aug 13 04:13:44 vmhost3 iscsid[6082]: iSCSI session ioctl failed for
iqn.2001-05.com.equallogic:6-8a0900-f01140a01-62bff03d75b44b3b-dc4, Resource
temporarily unavailable: Resource temporarily unavailable
Aug 13 04:13:44 vmhost3 kernel: iscsi-sfnet: Could not find session to update
Aug 13 04:13:44 vmhost3 iscsid[6076]: iSCSI session ioctl failed for
iqn.2001-05.com.equallogic:6-8a0900-fa0d20901-981ff0374cb449a8-tdxml, Resource
temporarily unavailable: Resource temporarily unavailable 

when "etc/init.d/iscsi reload" is run


Version-Release number of selected component (if applicable):


How reproducible:

Everytime.

Steps to Reproduce:
1. Log into a target that uses login redirect like Equalogic
2. Run /etc/init.d/iscsi reload
  
Actual results:

Get error messages listed above

Expected results:

iscsid shoudl not spit out error messages.

Additional info:
Comment 1 RHEL Product and Program Management 2006-12-14 18:26:35 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jay Turner 2007-01-02 08:50:55 EST
QE ack for RHEL4.5.
Comment 3 Jason Baron 2007-01-08 14:20:49 EST
committed in stream U5 build 42.39. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Red Hat Bugzilla 2007-05-08 00:31:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.